path: /build/build/plantuml-media-gfx-1.2024.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="source" emerge media-gfx/plantuml -pv -t && \
    USE="source" emerge -j ${JOBS} --nodeps media-gfx/plantuml
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/plantuml && luet-portage --dir /pkgdir/plantuml
    media-gfx/plantuml && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ca03310f98d8d3e223778b5ffd1f50a743401e0a4a2ff2294a98ef6b1149ed7c
  package:
    name: plantuml
    version: 1.2024.5
    category: media-gfx
    use_flags:
    - source
    requires:
    - name: javatoolkit
      version: '>=0'
      category: dev-java
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Draw UML diagrams using a simple and human readable text description
    uri:
    - https://plantuml.com
    license: GPL-3
    buildtimestamp: 2024-08-19 13:02:03.844087174 +0000 UTC m=+275.403253480
    labels:
      DEPEND: '>=virtual/jdk-1.8:* dev-java/ant-bin:1.10 >=dev-java/java-config-2.2.0-r3
        source? ( app-arch/zip ) >=dev-java/ant-bin-1.10.0:1.10 >=dev-java/javatoolkit-0.3.0-r2
        dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: elibc_FreeBSD source elibc_FreeBSD
      RDEPEND: '>=virtual/jre-1.8:* media-gfx/graphviz >=dev-java/java-config-2.2.0-r3
        source? ( app-arch/zip )'
      emerge.packages: media-gfx/plantuml
      kit: geaaru-kit
      original.package.name: media-gfx/plantuml
      original.package.slot: "0"
      original.package.version: 1.2024.5
    treedir: /build/packages
  package_dir: /pkgdir/plantuml
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f98253646892ecd4408798e54bb3ca190d771434ab25f730d0d9a4f3167cf31a
compressiontype: zstd
files:
- usr/bin/plantuml
- usr/share/applications/plantuml-plantuml.desktop
- usr/share/plantuml/lib/plantuml.jar
- usr/share/plantuml/package.env
- usr/share/plantuml/sources/plantuml-src.zip
- var/db/pkg/media-gfx/plantuml-1.2024.5/BUILD_TIME
- var/db/pkg/media-gfx/plantuml-1.2024.5/CATEGORY
- var/db/pkg/media-gfx/plantuml-1.2024.5/CBUILD
- var/db/pkg/media-gfx/plantuml-1.2024.5/CFLAGS
- var/db/pkg/media-gfx/plantuml-1.2024.5/CHOST
- var/db/pkg/media-gfx/plantuml-1.2024.5/CONTENTS
- var/db/pkg/media-gfx/plantuml-1.2024.5/COUNTER
- var/db/pkg/media-gfx/plantuml-1.2024.5/CXXFLAGS
- var/db/pkg/media-gfx/plantuml-1.2024.5/DEFINED_PHASES
- var/db/pkg/media-gfx/plantuml-1.2024.5/DEPEND
- var/db/pkg/media-gfx/plantuml-1.2024.5/DESCRIPTION
- var/db/pkg/media-gfx/plantuml-1.2024.5/EAPI
- var/db/pkg/media-gfx/plantuml-1.2024.5/FEATURES
- var/db/pkg/media-gfx/plantuml-1.2024.5/HOMEPAGE
- var/db/pkg/media-gfx/plantuml-1.2024.5/INHERITED
- var/db/pkg/media-gfx/plantuml-1.2024.5/IUSE
- var/db/pkg/media-gfx/plantuml-1.2024.5/IUSE_EFFECTIVE
- var/db/pkg/media-gfx/plantuml-1.2024.5/KEYWORDS
- var/db/pkg/media-gfx/plantuml-1.2024.5/LDFLAGS
- var/db/pkg/media-gfx/plantuml-1.2024.5/LICENSE
- var/db/pkg/media-gfx/plantuml-1.2024.5/PF
- var/db/pkg/media-gfx/plantuml-1.2024.5/RDEPEND
- var/db/pkg/media-gfx/plantuml-1.2024.5/SIZE
- var/db/pkg/media-gfx/plantuml-1.2024.5/SLOT
- var/db/pkg/media-gfx/plantuml-1.2024.5/USE
- var/db/pkg/media-gfx/plantuml-1.2024.5/environment.bz2
- var/db/pkg/media-gfx/plantuml-1.2024.5/plantuml-1.2024.5.ebuild
- var/db/pkg/media-gfx/plantuml-1.2024.5/repository
package_cacheimage: ""
runtime:
  name: plantuml
  version: 1.2024.5
  category: media-gfx
  use_flags:
  - source
  requires:
  - name: zip
    version: '>=0'
    category: app-arch
  - name: java-config
    version: '>=0'
    category: dev-java-2
  - name: graphviz
    version: '>=0'
    category: media-gfx
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Draw UML diagrams using a simple and human readable text description
  uri:
  - https://plantuml.com
  license: GPL-3
  labels:
    DEPEND: '>=virtual/jdk-1.8:* dev-java/ant-bin:1.10 >=dev-java/java-config-2.2.0-r3
      source? ( app-arch/zip ) >=dev-java/ant-bin-1.10.0:1.10 >=dev-java/javatoolkit-0.3.0-r2
      dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: elibc_FreeBSD source elibc_FreeBSD
    RDEPEND: '>=virtual/jre-1.8:* media-gfx/graphviz >=dev-java/java-config-2.2.0-r3
      source? ( app-arch/zip )'
    emerge.packages: media-gfx/plantuml
    kit: geaaru-kit
    original.package.name: media-gfx/plantuml
    original.package.slot: "0"
    original.package.version: 1.2024.5
